MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024818Open CASCADE[OCCT] OCCT:Codingpublic2014-04-10 13:022015-04-30 09:57
Reporterabv 
Assigned Toabv 
PriorityhighSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024818: CLang warnings -Wlogical-not-parentheses
DescriptionCLang on Mac OS X 10.9 reports multiple warnings -Wlogical-not-parentheses which in most cases indicate wrong code:

MAT_Arc.cxx:118:40: warning: logical not is only applied to the left hand side of this comparison [-Wlogical-not-parentheses]
MAT_Arc.cxx:120:40: warning: logical not is only applied to the left hand side of this comparison [-Wlogical-not-parentheses]
MAT_Arc.cxx:124:40: warning: logical not is only applied to the left hand side of this comparison [-Wlogical-not-parentheses]
MAT_Arc.cxx:126:40: warning: logical not is only applied to the left hand side of this comparison [-Wlogical-not-parentheses]
Bisector_BisecCC.cxx:167:8: warning: logical not is only applied to the left hand side of this comparison [-Wlogical-not-parentheses]
BRepFill_MultiLine.cxx:605:8: warning: logical not is only applied to the left hand side of this comparison [-Wlogical-not-parentheses]
LocOpe_BuildShape.cxx:264:12: warning: logical not is only applied to the left hand side of this comparison [-Wlogical-not-parentheses]
AIS_Dimension.cxx:1148:9: warning: logical not is only applied to the left hand side of this comparison [-Wlogical-not-parentheses]
AIS_MultipleConnectedInteractive.cxx:92:11: warning: logical not is only applied to the left hand side of this comparison [-Wlogical-not-parentheses]
TNaming_NamedShape.cxx:560:7: warning: logical not is only applied to the left hand side of this comparison [-Wlogical-not-parentheses]
IGESDimen_NewGeneralNote.cxx:280:11: warning: logical not is only applied to the left hand side of this comparison [-Wlogical-not-parentheses]
IGESToBRep_TopoCurve.cxx:592:7: warning: logical not is only applied to the left hand side of this comparison [-Wlogical-not-parentheses]
IGESToBRep_TopoCurve.cxx:612:9: warning: logical not is only applied to the left hand side of this comparison [-Wlogical-not-parentheses]
IGESToBRep_TopoCurve.cxx:749:7: warning: logical not is only applied to the left hand side of this comparison [-Wlogical-not-parentheses]
StlTransfer.cxx:64:9: warning: logical not is only applied to the left hand side of this comparison [-Wlogical-not-parentheses]
HLRTest_DrawableEdgeTool.cxx:191:6: warning: logical not is only applied to the left hand side of this comparison [-Wlogical-not-parentheses]
HLRTest_DrawableEdgeTool.cxx:224:6: warning: logical not is only applied to the left hand side of this comparison [-Wlogical-not-parentheses]
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0026167closedbugmaster Coding rules - eliminate -Wlogical-not-parentheses CLang warnings in GeomToStep 

-  Notes
(0028879)
ski (developer)
2014-04-16 16:03

CLang warnings -Wlogical-not-parentheses were fixed.
Actual changes are located in branch CR24818.
Please, review.
(0028882)
abv (manager)
2014-04-16 16:14

No remarks, please test
(0028965)
mkv (tester)
2014-04-18 15:10

Dear BugMaster,

Branch CR24818 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 0cf3103bc17e62e1b7feba0e6d595d835616722f

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)
MacOS: 396 (413 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 352161584 / 352642984
Total CPU difference: 65992.96999999965 / 67343.19000000024

Testing on Windows:
Total MEMORY difference: 381511936 / 380717640
Total CPU difference: 42949.671875 / 39760.234375

There are no differences in images found by testdiff.

- Related Changesets
occt: master c29a9290
Timestamp: 2014-04-16 11:59:21
Author: abv
Committer: abv
Details ] Diff ]
0024818: CLang warnings -Wlogical-not-parentheses

CLang warnings -Wlogical-not-parentheses were fixed.
mod - src/AIS/AIS_Dimension.cxx Diff ] File ]
mod - src/AIS/AIS_MultipleConnectedInteractive.cxx Diff ] File ]
mod - src/Bisector/Bisector_BisecCC.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_MultiLine.cxx Diff ] File ]
mod - src/HLRTest/HLRTest_DrawableEdgeTool.cxx Diff ] File ]
mod - src/IGESDimen/IGESDimen_NewGeneralNote.cxx Diff ] File ]
mod - src/IGESToBRep/IGESToBRep_TopoCurve.cxx Diff ] File ]
mod - src/LocOpe/LocOpe_BuildShape.cxx Diff ] File ]
mod - src/MAT/MAT_Arc.cxx Diff ] File ]
mod - src/StlTransfer/StlTransfer.cxx Diff ] File ]
mod - src/TNaming/TNaming_NamedShape.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-10 13:02 abv New Issue
2014-04-10 13:02 abv Assigned To => kgv
2014-04-10 13:03 abv Assigned To kgv => ski
2014-04-10 13:03 abv Status new => assigned
2014-04-10 13:03 abv Product Version => 6.7.1
2014-04-16 16:03 ski Note Added: 0028879
2014-04-16 16:03 ski Assigned To ski => abv
2014-04-16 16:03 ski Status assigned => resolved
2014-04-16 16:14 abv Note Added: 0028882
2014-04-16 16:14 abv Priority normal => high
2014-04-16 16:14 abv Status resolved => reviewed
2014-04-18 15:10 mkv Note Added: 0028965
2014-04-18 16:33 mkv Test case number => Not needed
2014-04-18 16:33 mkv Assigned To abv => bugmaster
2014-04-18 16:33 mkv Status reviewed => tested
2014-04-28 10:27 abv Changeset attached => occt master c29a9290
2014-04-28 10:27 abv Assigned To bugmaster => abv
2014-04-28 10:27 abv Status tested => verified
2014-04-28 10:27 abv Resolution open => fixed
2014-05-05 13:20 bugmaster Status verified => closed
2014-05-05 13:39 aiv Fixed in Version => 6.7.1
2015-04-30 09:57 kgv Relationship added related to 0026167


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker